FROM elixir:1.8

ENV LOGGER_LEVEL=debug

WORKDIR /app

RUN mix local.hex --force && \
    mix local.rebar --force

COPY config config
COPY mix.exs mix.exs
COPY mix.lock mix.lock

RUN mix deps.get && \
    mix deps.compile
